[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.DoGetBinName

Performs actions needed to get the current paper bin selected for the print device.

## Declaration

Source position: printers.pas line 288

`protected function TPrinter.DoGetBinName: string; virtual;`

## Function result

Name for the paper bin selected on the current printer.

## Description

Remark: | In TPrinter, DoGetBinName always returns an empty string(''). It must be overridden in a descendent class to perform actions needed for the operating system / widgetset / printer-related technology used in the implementation.